شرح معلومات وبرامج برمجة AutoCAD

salam1359

عضو جديد
إنضم
7 مارس 2011
المشاركات
10
مجموع الإعجابات
1
النقاط
3
تحيات
البرمجة في أوتوكاد
يمكن لأي مهندس متخصص في برمجة AutoCAD القيام بالكثير من الأشياء بشكل أسرع.
في هذه المقالة ، أحاول شرح معلومات وبرامج برمجة AutoCAD لأعزاء المهندسين.

الخطوة الأولى :
تحقق من تمكين بيئة البرمجة
اكتب في قسم الأوامر: VBARUN
إذا كان البرنامج غير نشط ، فسترى هذا الخطأ : VBA Not Installed

قم بتنزيل البرنامج وتثبيته

ممكّن افتراضيًا في AutoCAD 2007 و 2008
 

salam1359

عضو جديد
إنضم
7 مارس 2011
المشاركات
10
مجموع الإعجابات
1
النقاط
3
الخطوة الثانية
افتح باستخدام هذه المفاتيح Alt+F11

أهلا بك
للبرمجة في أوتوكاد
 

المرفقات

  • Avval.jpg
    Avval.jpg
    206.2 KB · المشاهدات: 7

salam1359

عضو جديد
إنضم
7 مارس 2011
المشاركات
10
مجموع الإعجابات
1
النقاط
3
رسم خط في أوتوكاد VBA

-افتح نافذة VBA >> باستخدام (Alt+F11) أو اكتب VBAIDE
- اکتب الکود

Sub Example_Length()
' This example adds a line in model space and returns the length of the new line

Dim lineObj As AcadLine
Dim startPoint(0 To 2) As Double
Dim endPoint(0 To 2) As Double

' Define the start and end points for the line
startPoint(0) = 10
startPoint(1) = 20
startPoint(2) = 0
endPoint(0) = 30
endPoint(1) = 40
endPoint(2) = 0

' Create the line in model space
Set lineObj = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint)

ThisDrawing.Application.ZoomAll

MsgBox "The line was created"
End Sub

لتنفيذ الكود نذهب لمربع الحوار Macros من خلال الضغط على (الإختصار F5) ثم نقوم بتحديد الكود الذي نريد تشغيله ثم نضعط على Run.
 

salam1359

عضو جديد
إنضم
7 مارس 2011
المشاركات
10
مجموع الإعجابات
1
النقاط
3
سلام علیکم المهندسین الاعزاء

رسم خط في أوتوكاد VBA ( الوصف )

كود البرمجة مكتوب بين جملتين

( )Sub Name
.....................
...................
.....................

End Sub

ضع الاسم المفضل بدلاً من Name


الكائن التي نريد <<< Dim lineObj As AcadLine

إحداثيات النقطة الأولى <<< Dim startPoint(0 To 2) As Double

إحداثيات نقطة النهاية <<< Dim endPoint(0 To 2) As Double

X النقطة الأولى <<< startPoint(0) = 10
Y النقطة الأولى <<< startPoint(1) = 20
Z النقطة الأولى <<< startPoint(2) = 0
X نقطة النهاية <<< endPoint(0) = 30
Y نقطة النهاية <<< endPoint(1) = 40
Z نقطة النهاية <<< endPoint(2) = 0

أمر الرسم <<< Set lineObj = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint)
 
أعلى